diff --git a/libRTI/ieee1516-2000/RTIambassadorImplementation.h b/libRTI/ieee1516-2000/RTIambassadorImplementation.h
index 452cfdba..e536403f 100644
--- a/libRTI/ieee1516-2000/RTIambassadorImplementation.h
+++ b/libRTI/ieee1516-2000/RTIambassadorImplementation.h
@@ -614,197 +311,73 @@ public:
 
     // 8.2
     virtual void enableTimeRegulation
-    (rti1516::LogicalTimeInterval const & theLookahead)
-    throw (rti1516::TimeRegulationAlreadyEnabled,
-            rti1516::InvalidLookahead,
-            rti1516::InTimeAdvancingState,
-            rti1516::RequestForTimeRegulationPending,
-            rti1516::FederateNotExecutionMember,
-            rti1516::SaveInProgress,
-            rti1516::RestoreInProgress,
-            rti1516::RTIinternalError);
+    (rti1516::LogicalTimeInterval const & theLookahead);
 
     // 8.4
-    virtual void disableTimeRegulation ()
-    throw (rti1516::TimeRegulationIsNotEnabled,
-            rti1516::FederateNotExecutionMember,
-            rti1516::SaveInProgress,
-            rti1516::RestoreInProgress,
-            rti1516::RTIinternalError);
+    virtual void disableTimeRegulation ();
 
     // 8.5
-    virtual void enableTimeConstrained ()
-    throw (rti1516::TimeConstrainedAlreadyEnabled,
-            rti1516::InTimeAdvancingState,
-            rti1516::RequestForTimeConstrainedPending,
-            rti1516::FederateNotExecutionMember,
-            rti1516::SaveInProgress,
-            rti1516::RestoreInProgress,
-            rti1516::RTIinternalError);
+    virtual void enableTimeConstrained ();
 
     // 8.7
-    virtual void disableTimeConstrained ()
-    throw (rti1516::TimeConstrainedIsNotEnabled,
-            rti1516::FederateNotExecutionMember,
-            rti1516::SaveInProgress,
-            rti1516::RestoreInProgress,
-            rti1516::RTIinternalError);
+    virtual void disableTimeConstrained ();
 
     // 8.8
     virtual void timeAdvanceRequest
-    (rti1516::LogicalTime const & theTime)
-    throw (rti1516::InvalidLogicalTime,
-            rti1516::LogicalTimeAlreadyPassed,
-            rti1516::InTimeAdvancingState,
-            rti1516::RequestForTimeRegulationPending,
-            rti1516::RequestForTimeConstrainedPending,
-            rti1516::FederateNotExecutionMember,
-            rti1516::SaveInProgress,
-            rti1516::RestoreInProgress,
-            rti1516::RTIinternalError);
+    (rti1516::LogicalTime const & theTime);
 
     // 8.9
     virtual void timeAdvanceRequestAvailable
-    (rti1516::LogicalTime const & theTime)
-    throw (rti1516::InvalidLogicalTime,
-            rti1516::LogicalTimeAlreadyPassed,
-            rti1516::InTimeAdvancingState,
-            rti1516::RequestForTimeRegulationPending,
-            rti1516::RequestForTimeConstrainedPending,
-            rti1516::FederateNotExecutionMember,
-            rti1516::SaveInProgress,
-            rti1516::RestoreInProgress,
-            rti1516::RTIinternalError);
+    (rti1516::LogicalTime const & theTime);
 
     // 8.10
     virtual void nextMessageRequest
-    (rti1516::LogicalTime const & theTime)
-    throw (rti1516::InvalidLogicalTime,
-            rti1516::LogicalTimeAlreadyPassed,
-            rti1516::InTimeAdvancingState,
-            rti1516::RequestForTimeRegulationPending,
-            rti1516::RequestForTimeConstrainedPending,
-            rti1516::FederateNotExecutionMember,
-            rti1516::SaveInProgress,
-            rti1516::RestoreInProgress,
-            rti1516::RTIinternalError);
+    (rti1516::LogicalTime const & theTime);
 
     // 8.11
     virtual void nextMessageRequestAvailable
-    (rti1516::LogicalTime const & theTime)
-    throw (rti1516::InvalidLogicalTime,
-            rti1516::LogicalTimeAlreadyPassed,
-            rti1516::InTimeAdvancingState,
-            rti1516::RequestForTimeRegulationPending,
-            rti1516::RequestForTimeConstrainedPending,
-            rti1516::FederateNotExecutionMember,
-            rti1516::SaveInProgress,
-            rti1516::RestoreInProgress,
-            rti1516::RTIinternalError);
+    (rti1516::LogicalTime const & theTime);
 
     // 8.12
     virtual void flushQueueRequest
-    (rti1516::LogicalTime const & theTime)
-    throw (rti1516::InvalidLogicalTime,
-            rti1516::LogicalTimeAlreadyPassed,
-            rti1516::InTimeAdvancingState,
-            rti1516::RequestForTimeRegulationPending,
-            rti1516::RequestForTimeConstrainedPending,
-            rti1516::FederateNotExecutionMember,
-            rti1516::SaveInProgress,
-            rti1516::RestoreInProgress,
-            rti1516::RTIinternalError);
+    (rti1516::LogicalTime const & theTime);
 
     // 8.14
-    virtual void enableAsynchronousDelivery ()
-    throw (rti1516::AsynchronousDeliveryAlreadyEnabled,
-            rti1516::FederateNotExecutionMember,
-            rti1516::SaveInProgress,
-            rti1516::RestoreInProgress,
-            rti1516::RTIinternalError);
+    virtual void enableAsynchronousDelivery ();
 
     // 8.15
-    virtual void disableAsynchronousDelivery ()
-    throw (rti1516::AsynchronousDeliveryAlreadyDisabled,
-            rti1516::FederateNotExecutionMember,
-           rti1516::SaveInProgress,
-            rti1516::RestoreInProgress,
-            rti1516::RTIinternalError);
+    virtual void disableAsynchronousDelivery ();
 
     // 8.16
-    virtual bool queryGALT (rti1516::LogicalTime & theTime)
-    throw (rti1516::FederateNotExecutionMember,
-           rti1516::SaveInProgress,
-            rti1516::RestoreInProgress,
-            rti1516::RTIinternalError);
+    virtual bool queryGALT (rti1516::LogicalTime & theTime);
 
     // 8.17
-    virtual void queryLogicalTime (rti1516::LogicalTime & theTime)
-    throw (rti1516::FederateNotExecutionMember,
-            rti1516::SaveInProgress,
-            rti1516::RestoreInProgress,
-            rti1516::RTIinternalError);
+    virtual void queryLogicalTime (rti1516::LogicalTime & theTime);
 
     // 8.18
-    virtual bool queryLITS (rti1516::LogicalTime & theTime)
-    throw (rti1516::FederateNotExecutionMember,
-            rti1516::SaveInProgress,
-            rti1516::RestoreInProgress,
-            rti1516::RTIinternalError);
+    virtual bool queryLITS (rti1516::LogicalTime & theTime);
 
     // 8.19
     virtual void modifyLookahead
-    (rti1516::LogicalTimeInterval const & theLookahead)
-    throw (rti1516::TimeRegulationIsNotEnabled,
-            rti1516::InvalidLookahead,
-            rti1516::InTimeAdvancingState,
-            rti1516::FederateNotExecutionMember,
-            rti1516::SaveInProgress,
-            rti1516::RestoreInProgress,
-            rti1516::RTIinternalError);
+    (rti1516::LogicalTimeInterval const & theLookahead);
 
     // 8.20
-    virtual void queryLookahead (rti1516::LogicalTimeInterval & interval)
-    throw (rti1516::TimeRegulationIsNotEnabled,
-            rti1516::FederateNotExecutionMember,
-            rti1516::SaveInProgress,
-            rti1516::RestoreInProgress,
-            rti1516::RTIinternalError);
+    virtual void queryLookahead (rti1516::LogicalTimeInterval & interval);
 
     // 8.21
     virtual void retract
-    (rti1516::MessageRetractionHandle theHandle)
-    throw (rti1516::InvalidRetractionHandle,
-            rti1516::TimeRegulationIsNotEnabled,
-            rti1516::MessageCanNoLongerBeRetracted,
-            rti1516::FederateNotExecutionMember,
-            rti1516::SaveInProgress,
-            rti1516::RestoreInProgress,
-            rti1516::RTIinternalError);
+    (rti1516::MessageRetractionHandle theHandle);
 
     // 8.23
     virtual void changeAttributeOrderType
     (rti1516::ObjectInstanceHandle theObject,
             rti1516::AttributeHandleSet const & theAttributes,
-            rti1516::OrderType theType)
-    throw (rti1516::ObjectInstanceNotKnown,
-            rti1516::AttributeNotDefined,
-            rti1516::AttributeNotOwned,
-            rti1516::FederateNotExecutionMember,
-            rti1516::SaveInProgress,
-            rti1516::RestoreInProgress,
-            rti1516::RTIinternalError);
+            rti1516::OrderType theType);
 
     // 8.24
     virtual void changeInteractionOrderType
     (rti1516::InteractionClassHandle theClass,
-            rti1516::OrderType theType)
-    throw (rti1516::InteractionClassNotDefined,
-            rti1516::InteractionClassNotPublished,
-            rti1516::FederateNotExecutionMember,
-            rti1516::SaveInProgress,
-            rti1516::RestoreInProgress,
-            rti1516::RTIinternalError);
+            rti1516::OrderType theType);
 
     //////////////////////////////////
     // Data Distribution Management //
@@ -812,205 +385,83 @@ public:
 
     // 9.2
     virtual rti1516::RegionHandle createRegion
-    (rti1516::DimensionHandleSet const & theDimensions)
-    throw (rti1516::InvalidDimensionHandle,
-            rti1516::FederateNotExecutionMember,
-            rti1516::SaveInProgress,
-            rti1516::RestoreInProgress,
-            rti1516::RTIinternalError);
+    (rti1516::DimensionHandleSet const & theDimensions);
 
     // 9.3
     virtual void commitRegionModifications
-    (rti1516::RegionHandleSet const & theRegionHandleSet)
-    throw (rti1516::InvalidRegion,
-            rti1516::RegionNotCreatedByThisFederate,
-            rti1516::FederateNotExecutionMember,
-            rti1516::SaveInProgress,
-            rti1516::RestoreInProgress,
-            rti1516::RTIinternalError);
+    (rti1516::RegionHandleSet const & theRegionHandleSet);
 
     // 9.4
     virtual void deleteRegion
-    (rti1516::RegionHandle theRegion)
-    throw (rti1516::InvalidRegion,
-            rti1516::RegionNotCreatedByThisFederate,
-            rti1516::RegionInUseForUpdateOrSubscription,
-            rti1516::FederateNotExecutionMember,
-            rti1516::SaveInProgress,
-            rti1516::RestoreInProgress,
-            rti1516::RTIinternalError);
+    (rti1516::RegionHandle theRegion);
 
     // 9.5
     virtual rti1516::ObjectInstanceHandle registerObjectInstanceWithRegions
     (rti1516::ObjectClassHandle theClass,
             rti1516::AttributeHandleSetRegionHandleSetPairVector const &
-            theAttributeHandleSetRegionHandleSetPairVector)
-    throw (rti1516::ObjectClassNotDefined,
-            rti1516::ObjectClassNotPublished,
-            rti1516::AttributeNotDefined,
-            rti1516::AttributeNotPublished,
-            rti1516::InvalidRegion,
-            rti1516::RegionNotCreatedByThisFederate,
-            rti1516::InvalidRegionContext,
-            rti1516::FederateNotExecutionMember,
-            rti1516::SaveInProgress,
-            rti1516::RestoreInProgress,
-            rti1516::RTIinternalError);
+            theAttributeHandleSetRegionHandleSetPairVector);
 
     virtual rti1516::ObjectInstanceHandle registerObjectInstanceWithRegions
     (rti1516::ObjectClassHandle theClass,
             rti1516::AttributeHandleSetRegionHandleSetPairVector const &
             theAttributeHandleSetRegionHandleSetPairVector,
-            std::wstring const & theObjectInstanceName)
-    throw (rti1516::ObjectClassNotDefined,
-            rti1516::ObjectClassNotPublished,
-            rti1516::AttributeNotDefined,
-            rti1516::AttributeNotPublished,
-            rti1516::InvalidRegion,
-            rti1516::RegionNotCreatedByThisFederate,
-            rti1516::InvalidRegionContext,
-            rti1516::ObjectInstanceNameNotReserved,
-            rti1516::ObjectInstanceNameInUse,
-            rti1516::FederateNotExecutionMember,
-            rti1516::SaveInProgress,
-            rti1516::RestoreInProgress,
-            rti1516::RTIinternalError);
+            std::wstring const & theObjectInstanceName);
 
     // 9.6
     virtual void associateRegionsForUpdates
     (rti1516::ObjectInstanceHandle theObject,
             rti1516::AttributeHandleSetRegionHandleSetPairVector const &
-            theAttributeHandleSetRegionHandleSetPairVector)
-    throw (rti1516::ObjectInstanceNotKnown,
-            rti1516::AttributeNotDefined,
-            rti1516::InvalidRegion,
-            rti1516::RegionNotCreatedByThisFederate,
-            rti1516::InvalidRegionContext,
-            rti1516::FederateNotExecutionMember,
-            rti1516::SaveInProgress,
-            rti1516::RestoreInProgress,
-            rti1516::RTIinternalError);
+            theAttributeHandleSetRegionHandleSetPairVector);
 
     // 9.7
     virtual void unassociateRegionsForUpdates
     (rti1516::ObjectInstanceHandle theObject,
             rti1516::AttributeHandleSetRegionHandleSetPairVector const &
-            theAttributeHandleSetRegionHandleSetPairVector)
-    throw (rti1516::ObjectInstanceNotKnown,
-            rti1516::AttributeNotDefined,
-            rti1516:: InvalidRegion,
-            rti1516::RegionNotCreatedByThisFederate,
-            rti1516::FederateNotExecutionMember,
-            rti1516::SaveInProgress,
-            rti1516::RestoreInProgress,
-            rti1516::RTIinternalError);
+            theAttributeHandleSetRegionHandleSetPairVector);
 
     // 9.8
     virtual void subscribeObjectClassAttributesWithRegions
     (rti1516::ObjectClassHandle theClass,
             rti1516::AttributeHandleSetRegionHandleSetPairVector const &
             theAttributeHandleSetRegionHandleSetPairVector,
-            bool active = true)
-    throw (rti1516::ObjectClassNotDefined,
-            rti1516::AttributeNotDefined,
-            rti1516::InvalidRegion,
-            rti1516::RegionNotCreatedByThisFederate,
-            rti1516::InvalidRegionContext,
-            rti1516::FederateNotExecutionMember,
-            rti1516::SaveInProgress,
-            rti1516::RestoreInProgress,
-            rti1516::RTIinternalError);
+            bool active = true);
 
     // 9.9
     virtual void unsubscribeObjectClassAttributesWithRegions
     (rti1516::ObjectClassHandle theClass,
             rti1516::AttributeHandleSetRegionHandleSetPairVector const &
-            theAttributeHandleSetRegionHandleSetPairVector)
-    throw (rti1516::ObjectClassNotDefined,
-            rti1516::AttributeNotDefined,
-            rti1516::InvalidRegion,
-            rti1516::RegionNotCreatedByThisFederate,
-            rti1516::FederateNotExecutionMember,
-            rti1516::SaveInProgress,
-            rti1516::RestoreInProgress,
-            rti1516::RTIinternalError);
+            theAttributeHandleSetRegionHandleSetPairVector);
 
     // 9.10
     virtual void subscribeInteractionClassWithRegions
     (rti1516::InteractionClassHandle theClass,
             rti1516::RegionHandleSet const & theRegionHandleSet,
-            bool active = true)
-    throw (rti1516::InteractionClassNotDefined,
-            rti1516::InvalidRegion,
-            rti1516::RegionNotCreatedByThisFederate,
-            rti1516::InvalidRegionContext,
-            rti1516::FederateServiceInvocationsAreBeingReportedViaMOM,
-            rti1516::FederateNotExecutionMember,
-            rti1516::SaveInProgress,
-            rti1516::RestoreInProgress,
-            rti1516::RTIinternalError);
+            bool active = true);
 
     // 9.11
     virtual void unsubscribeInteractionClassWithRegions
     (rti1516::InteractionClassHandle theClass,
-            rti1516::RegionHandleSet const & theRegionHandleSet)
-    throw (rti1516::InteractionClassNotDefined,
-            rti1516::InvalidRegion,
-            rti1516::RegionNotCreatedByThisFederate,
-            rti1516::FederateNotExecutionMember,
-            rti1516::SaveInProgress,
-            rti1516::RestoreInProgress,
-            rti1516::RTIinternalError);
+            rti1516::RegionHandleSet const & theRegionHandleSet);
 
     // 9.12
     virtual void sendInteractionWithRegions
     (rti1516::InteractionClassHandle theInteraction,
             rti1516::ParameterHandleValueMap const & theParameterValues,
             rti1516::RegionHandleSet const & theRegionHandleSet,
-            rti1516::VariableLengthData const & theUserSuppliedTag)
-    throw (rti1516::InteractionClassNotDefined,
-            rti1516::InteractionClassNotPublished,
-            rti1516::InteractionParameterNotDefined,
-            rti1516::InvalidRegion,
-            rti1516::RegionNotCreatedByThisFederate,
-            rti1516::InvalidRegionContext,
-            rti1516::FederateNotExecutionMember,
-            rti1516::SaveInProgress,
-            rti1516::RestoreInProgress,
-            rti1516::RTIinternalError);
+            rti1516::VariableLengthData const & theUserSuppliedTag);
 
     virtual rti1516::MessageRetractionHandle sendInteractionWithRegions
     (rti1516::InteractionClassHandle theInteraction,
             rti1516::ParameterHandleValueMap const & theParameterValues,
             rti1516::RegionHandleSet const & theRegionHandleSet,
             rti1516::VariableLengthData const & theUserSuppliedTag,
-            rti1516::LogicalTime const & theTime)
-    throw (rti1516::InteractionClassNotDefined,
-            rti1516::InteractionClassNotPublished,
-            rti1516::InteractionParameterNotDefined,
-            rti1516::InvalidRegion,
-            rti1516::RegionNotCreatedByThisFederate,
-            rti1516::InvalidRegionContext,
-            rti1516::InvalidLogicalTime,
-            rti1516::FederateNotExecutionMember,
-            rti1516::SaveInProgress,
-            rti1516::RestoreInProgress,
-            rti1516::RTIinternalError);
+            rti1516::LogicalTime const & theTime);
 
     // 9.13
     virtual void requestAttributeValueUpdateWithRegions
     (rti1516::ObjectClassHandle theClass,
             rti1516::AttributeHandleSetRegionHandleSetPairVector const & theSet,
-            rti1516::VariableLengthData const & theUserSuppliedTag)
-    throw (rti1516::ObjectClassNotDefined,
-            rti1516::AttributeNotDefined,
-            rti1516::InvalidRegion,
-            rti1516::RegionNotCreatedByThisFederate,
-            rti1516::InvalidRegionContext,
-            rti1516::FederateNotExecutionMember,
-            rti1516::SaveInProgress,
-            rti1516::RestoreInProgress,
-            rti1516::RTIinternalError);
+            rti1516::VariableLengthData const & theUserSuppliedTag);
 
     //////////////////////////
     // RTI Support Services //
@@ -1018,295 +469,150 @@ public:
 
     // 10.2
     virtual rti1516::ObjectClassHandle getObjectClassHandle
-    (std::wstring const & theName)
-    throw (rti1516::NameNotFound,
-            rti1516::FederateNotExecutionMember,
-            rti1516::RTIinternalError);
+    (std::wstring const & theName);
 
     // 10.3
     virtual std::wstring getObjectClassName
-    (rti1516::ObjectClassHandle theHandle)
-    throw (rti1516::InvalidObjectClassHandle,
-            rti1516::FederateNotExecutionMember,
-            rti1516::RTIinternalError);
+    (rti1516::ObjectClassHandle theHandle);
 
     // 10.4
     virtual rti1516::AttributeHandle getAttributeHandle
     (rti1516::ObjectClassHandle whichClass,
-            std::wstring const & theAttributeName)
-    throw (rti1516::InvalidObjectClassHandle,
-            rti1516::NameNotFound,
-            rti1516::FederateNotExecutionMember,
-            rti1516::RTIinternalError);
+            std::wstring const & theAttributeName);
 
     // 10.5
     virtual std::wstring getAttributeName
     (rti1516::ObjectClassHandle whichClass,
-            rti1516::AttributeHandle theHandle)
-    throw (rti1516::InvalidObjectClassHandle,
-            rti1516::InvalidAttributeHandle,
-            rti1516::AttributeNotDefined,
-            rti1516::FederateNotExecutionMember,
-            rti1516::RTIinternalError);
+            rti1516::AttributeHandle theHandle);
 
     // 10.6
     virtual rti1516::InteractionClassHandle getInteractionClassHandle
-    (std::wstring const & theName)
-    throw (rti1516::NameNotFound,
-            rti1516::FederateNotExecutionMember,
-            rti1516::RTIinternalError);
+    (std::wstring const & theName);
 
     // 10.7
     virtual std::wstring getInteractionClassName
-    (rti1516::InteractionClassHandle theHandle)
-    throw (rti1516::InvalidInteractionClassHandle,
-            rti1516::FederateNotExecutionMember,
-            rti1516::RTIinternalError);
+    (rti1516::InteractionClassHandle theHandle);
 
     // 10.8
     virtual rti1516::ParameterHandle getParameterHandle
     (rti1516::InteractionClassHandle whichClass,
-            std::wstring const & theName)
-    throw (rti1516::InvalidInteractionClassHandle,
-            rti1516::NameNotFound,
-            rti1516::FederateNotExecutionMember,
-            rti1516::RTIinternalError);
+            std::wstring const & theName);
 
     // 10.9
     virtual std::wstring getParameterName
     (rti1516::InteractionClassHandle whichClass,
-            rti1516::ParameterHandle theHandle)
-    throw (rti1516::InvalidInteractionClassHandle,
-            rti1516::InvalidParameterHandle,
-            rti1516::InteractionParameterNotDefined,
-            rti1516::FederateNotExecutionMember,
-            rti1516::RTIinternalError);
+            rti1516::ParameterHandle theHandle);
 
     // 10.10
     virtual rti1516::ObjectInstanceHandle getObjectInstanceHandle
-    (std::wstring const & theName)
-    throw (rti1516::ObjectInstanceNotKnown,
-            rti1516::FederateNotExecutionMember,
-            rti1516::RTIinternalError);
+    (std::wstring const & theName);
 
     // 10.11
     virtual std::wstring getObjectInstanceName
-    (rti1516::ObjectInstanceHandle theHandle)
-    throw (rti1516::ObjectInstanceNotKnown,
-            rti1516::FederateNotExecutionMember,
-            rti1516::RTIinternalError);
+    (rti1516::ObjectInstanceHandle theHandle);
 
     // 10.12
     virtual rti1516::DimensionHandle getDimensionHandle
-    (std::wstring const & theName)
-    throw (rti1516::NameNotFound,
-            rti1516::FederateNotExecutionMember,
-            rti1516::RTIinternalError);
+    (std::wstring const & theName);
 
     // 10.13
     virtual std::wstring getDimensionName
-    (rti1516::DimensionHandle theHandle)
-    throw (rti1516::InvalidDimensionHandle,
-            rti1516::FederateNotExecutionMember,
-            rti1516::RTIinternalError);
+    (rti1516::DimensionHandle theHandle);
 
     // 10.14
     virtual unsigned long getDimensionUpperBound
-    (rti1516::DimensionHandle theHandle)
-    throw (rti1516::InvalidDimensionHandle,
-            rti1516::FederateNotExecutionMember,
-            rti1516::RTIinternalError);
+    (rti1516::DimensionHandle theHandle);
 
     // 10.15
     virtual rti1516::DimensionHandleSet getAvailableDimensionsForClassAttribute
     (rti1516::ObjectClassHandle theClass,
-            rti1516::AttributeHandle theHandle)
-    throw (rti1516::InvalidObjectClassHandle,
-            rti1516::InvalidAttributeHandle,
-            rti1516::AttributeNotDefined,
-            rti1516::FederateNotExecutionMember,
-            rti1516::RTIinternalError);
+            rti1516::AttributeHandle theHandle);
 
     // 10.16
     virtual rti1516::ObjectClassHandle getKnownObjectClassHandle
-    (rti1516::ObjectInstanceHandle theObject)
-    throw (rti1516::ObjectInstanceNotKnown,
-            rti1516::FederateNotExecutionMember,
-            rti1516::RTIinternalError);
+    (rti1516::ObjectInstanceHandle theObject);
 
     // 10.17
     virtual rti1516::DimensionHandleSet getAvailableDimensionsForInteractionClass
-    (rti1516::InteractionClassHandle theClass)
-    throw (rti1516::InvalidInteractionClassHandle,
-            rti1516::FederateNotExecutionMember,
-            rti1516::RTIinternalError);
+    (rti1516::InteractionClassHandle theClass);
 
     // 10.18
     virtual rti1516::TransportationType getTransportationType
-    (std::wstring const & transportationName)
-    throw (rti1516::InvalidTransportationName,
-            rti1516::FederateNotExecutionMember,
-            rti1516::RTIinternalError);
+    (std::wstring const & transportationName);
 
     // 10.19
     virtual std::wstring getTransportationName
-    (rti1516::TransportationType transportationType)
-    throw (rti1516::InvalidTransportationType,
-            rti1516::FederateNotExecutionMember,
-            rti1516::RTIinternalError);
+    (rti1516::TransportationType transportationType);
 
     // 10.20
     virtual rti1516::OrderType getOrderType
-    (std::wstring const & orderName)
-    throw (rti1516::InvalidOrderName,
-            rti1516::FederateNotExecutionMember,
-            rti1516::RTIinternalError);
+    (std::wstring const & orderName);
 
     // 10.21
     virtual std::wstring getOrderName
-    (rti1516::OrderType orderType)
-    throw (rti1516::InvalidOrderType,
-            rti1516::FederateNotExecutionMember,
-            rti1516::RTIinternalError);
+    (rti1516::OrderType orderType);
 
     // 10.22
-    virtual void enableObjectClassRelevanceAdvisorySwitch ()
-    throw (rti1516::ObjectClassRelevanceAdvisorySwitchIsOn,
-            rti1516::FederateNotExecutionMember,
-           rti1516::SaveInProgress,
-            rti1516::RestoreInProgress,
-            rti1516::RTIinternalError);
+    virtual void enableObjectClassRelevanceAdvisorySwitch ();
 
     // 10.23
-    virtual void disableObjectClassRelevanceAdvisorySwitch ()
-    throw (rti1516::ObjectClassRelevanceAdvisorySwitchIsOff,
-            rti1516::FederateNotExecutionMember,
-           rti1516::SaveInProgress,
-            rti1516::RestoreInProgress,
-            rti1516::RTIinternalError);
+    virtual void disableObjectClassRelevanceAdvisorySwitch ();
 
     // 10.24
-    virtual void enableAttributeRelevanceAdvisorySwitch ()
-    throw (rti1516::AttributeRelevanceAdvisorySwitchIsOn,
-            rti1516::FederateNotExecutionMember,
-           rti1516::SaveInProgress,
-            rti1516::RestoreInProgress,
-            rti1516::RTIinternalError);
+    virtual void enableAttributeRelevanceAdvisorySwitch ();
 
     // 10.25
-    virtual void disableAttributeRelevanceAdvisorySwitch ()
-    throw (rti1516::AttributeRelevanceAdvisorySwitchIsOff,
-            rti1516::FederateNotExecutionMember,
-           rti1516::SaveInProgress,
-            rti1516::RestoreInProgress,
-            rti1516::RTIinternalError);
+    virtual void disableAttributeRelevanceAdvisorySwitch ();
 
     // 10.26
-    virtual void enableAttributeScopeAdvisorySwitch ()
-    throw (rti1516::AttributeScopeAdvisorySwitchIsOn,
-            rti1516::FederateNotExecutionMember,
-           rti1516::SaveInProgress,
-            rti1516::RestoreInProgress,
-            rti1516::RTIinternalError);
+    virtual void enableAttributeScopeAdvisorySwitch ();
 
     // 10.27
-    virtual void disableAttributeScopeAdvisorySwitch ()
-    throw (rti1516::AttributeScopeAdvisorySwitchIsOff,
-            rti1516::FederateNotExecutionMember,
-            rti1516::SaveInProgress,
-            rti1516::RestoreInProgress,
-            rti1516::RTIinternalError);
+    virtual void disableAttributeScopeAdvisorySwitch ();
 
     // 10.28
-    virtual void enableInteractionRelevanceAdvisorySwitch ()
-    throw (rti1516::InteractionRelevanceAdvisorySwitchIsOn,
-            rti1516::FederateNotExecutionMember,
-            rti1516::SaveInProgress,
-            rti1516::RestoreInProgress,
-            rti1516::RTIinternalError);
+    virtual void enableInteractionRelevanceAdvisorySwitch ();
 
     // 10.29
-    virtual void disableInteractionRelevanceAdvisorySwitch ()
-    throw (rti1516::InteractionRelevanceAdvisorySwitchIsOff,
-            rti1516::FederateNotExecutionMember,
-            rti1516::SaveInProgress,
-            rti1516::RestoreInProgress,
-            rti1516::RTIinternalError);
+    virtual void disableInteractionRelevanceAdvisorySwitch ();
 
     // 10.30
     virtual
     rti1516::DimensionHandleSet getDimensionHandleSet
-    (rti1516::RegionHandle theRegionHandle)
-    throw (rti1516::InvalidRegion,
-            rti1516::FederateNotExecutionMember,
-            rti1516::SaveInProgress,
-            rti1516::RestoreInProgress,
-            rti1516::RTIinternalError);
+    (rti1516::RegionHandle theRegionHandle);
 
     // 10.31
     virtual
     rti1516::RangeBounds getRangeBounds
     (rti1516::RegionHandle theRegionHandle,
-            rti1516::DimensionHandle theDimensionHandle)
-    throw (rti1516::InvalidRegion,
-            rti1516::RegionDoesNotContainSpecifiedDimension,
-            rti1516::FederateNotExecutionMember,
-            rti1516::SaveInProgress,
-            rti1516::RestoreInProgress,
-            rti1516::RTIinternalError);
+            rti1516::DimensionHandle theDimensionHandle);
 
     // 10.32
     virtual void setRangeBounds
     (rti1516::RegionHandle theRegionHandle,
             rti1516::DimensionHandle theDimensionHandle,
-            rti1516::RangeBounds const & theRangeBounds)
-    throw (rti1516::InvalidRegion,
-            rti1516::RegionNotCreatedByThisFederate,
-            rti1516::RegionDoesNotContainSpecifiedDimension,
-            rti1516::InvalidRangeBound,
-            rti1516::FederateNotExecutionMember,
-            rti1516::SaveInProgress,
-            rti1516::RestoreInProgress,
-            rti1516::RTIinternalError);
+            rti1516::RangeBounds const & theRangeBounds);
 
     // 10.33
     virtual unsigned long normalizeFederateHandle
-    (rti1516::FederateHandle theFederateHandle)
-    throw (rti1516::FederateNotExecutionMember,
-            rti1516::InvalidFederateHandle,
-            rti1516::RTIinternalError);
+    (rti1516::FederateHandle theFederateHandle);
 
     // 10.34
     virtual unsigned long normalizeServiceGroup
-    (rti1516::ServiceGroupIndicator theServiceGroup)
-    throw (rti1516::FederateNotExecutionMember,
-            rti1516::InvalidServiceGroup,
-            rti1516::RTIinternalError);
+    (rti1516::ServiceGroupIndicator theServiceGroup);
 
     // 10.37
-    virtual bool evokeCallback(double approximateMinimumTimeInSeconds)
-    throw (rti1516::FederateNotExecutionMember,
-            rti1516::RTIinternalError);
+    virtual bool evokeCallback(double approximateMinimumTimeInSeconds);
 
     // 10.38
     virtual bool evokeMultipleCallbacks(double approximateMinimumTimeInSeconds,
-            double approximateMaximumTimeInSeconds)
-    throw (rti1516::FederateNotExecutionMember,
-            rti1516::RTIinternalError);
+            double approximateMaximumTimeInSeconds);
 
     // 10.39
-    virtual void enableCallbacks ()
-    throw (rti1516::FederateNotExecutionMember,
-            rti1516::SaveInProgress,
-            rti1516::RestoreInProgress,
-            rti1516::RTIinternalError);
+    virtual void enableCallbacks ();
 
     // 10.40
-    virtual void disableCallbacks ()
-    throw (rti1516::FederateNotExecutionMember,
-            rti1516::SaveInProgress,
-            rti1516::RestoreInProgress,
-            rti1516::RTIinternalError);
+    virtual void disableCallbacks ();
 
     virtual rti1516::FederateHandle decodeFederateHandle(
             rti1516::VariableLengthData const & encodedValue) const;
diff --git a/libRTI/ieee1516-2000/RTIfedAmbassador.cpp b/libRTI/ieee1516-2000/RTIfedAmbassador.cpp
index ac5c4d53..51db790e 100644
--- a/libRTI/ieee1516-2000/RTIfedAmbassador.cpp
+++ b/libRTI/ieee1516-2000/RTIfedAmbassador.cpp
@@ -23,10 +23,10 @@
 #include <RTI/FederateAmbassador.h>
 #include <RTI/NullFederateAmbassador.h>
 
-rti1516::FederateAmbassador::FederateAmbassador() throw (FederateInternalError)
+rti1516::FederateAmbassador::FederateAmbassador()
 {
 }
 
-rti1516::FederateAmbassador::~FederateAmbassador() throw()
+rti1516::FederateAmbassador::~FederateAmbassador() noexcept
 {
 }
